"""==============================================================
منطق برنامه‌ای را طراحی کنید که عدد طبیعی N را در ورودی دریافت کند
سپس یک ماتریس مربع N*N بالا مثلثی به نام L بسازد که عناصر قطر اصلی
و بالای آن همگی یک باشند و عناصر پایین قطر اصلی آن صفر باشند.
=============================================================="""

#      Take N
#------------------------
n = int(input("Please enter N: "))

#       Make Matrix L
#---------------------------------
L = []
for i in range(n):
    row = []
    for j in range(n):
        if i <= j:
            row.append(1)
            print(1,end="\t")
        else:
            row.append(0)
            print(0,end="\t")
    L.append(row)
    print()